Page 1 of 1

[Solved] Can't install Oolite 1.80 under Ubuntu 14.04 LTS

Posted: Wed Mar 04, 2015 1:28 pm
by Crown Home
Hi all!

I'm new on Linux, and want to install 1.80. When I try to open the .run file the script open in a gedit-file. 1.77 installed via the Ubuntu Software-Center runs smoothly, so it should work.
Can anybody help?
Thx in advance

Re: Can't install Oolite 1.80 under Ubuntu 14.04 LTS

Posted: Wed Mar 04, 2015 1:34 pm
by Cody
Welcome aboard, Commander! I can't help as I'm a Microsofty, but I expect a Penguinista will be along shortly with advice!

Re: Can't install Oolite 1.80 under Ubuntu 14.04 LTS

Posted: Wed Mar 04, 2015 2:23 pm
by Diziet Sma
G'day Crown Home! Welcome aboard.. 8)

Ok.. when you say you're trying to 'open' the file, I assume you're double-clicking on it?

Instead, what you need to do is open a terminal window, then drag the .run file into the terminal window. The terminal will then show the file name at the end of the path to the file, with a flashing cursor after it. Just hit the <Enter> key, and the file will unpack itself, and ask if you want to install system wide (useful if the computer is used by multiple people), or in your home directory (best if you're the only person who uses the computer). If you just hit <Enter> at this point, it will default to home (shown by the 'h' being capitalised). If you choose system, you will have to provide your password to authorise a system-wide install.

Anyway, once you've done that, the installation will proceed automatically.

Good luck, and don't hesitate to yell out if you have problems.

Re: Can't install Oolite 1.80 under Ubuntu 14.04 LTS

Posted: Wed Mar 04, 2015 4:46 pm
by Crown Home
G'day to you too, Diziet Sma!

Thank you very very much :D !

Installation worked perfectly, just took me some time to find out how to launch the game. Finally I managed and now I'm off to Zaonce to get me a beercooler!

Looks great and hey - its full of stars!

Re: Can't install Oolite 1.80 under Ubuntu 14.04 LTS

Posted: Wed Mar 04, 2015 4:49 pm
by Cody
<chortles>

Re: Can't install Oolite 1.80 under Ubuntu 14.04 LTS

Posted: Thu Mar 05, 2015 2:32 am
by Diziet Sma
Another satisfied customer.. good to hear. :D

Re: [Solved] Can't install Oolite 1.80 under Ubuntu 14.04 LT

Posted: Tue Aug 25, 2015 8:00 am
by OldThrashbarg
Is ist somehow possible to get a binary file for oolite-update or something?

Re: [Solved] Can't install Oolite 1.80 under Ubuntu 14.04 LT

Posted: Tue Aug 25, 2015 10:10 am
by Norby
OldThrashbarg wrote:Is ist somehow possible to get a binary file for oolite-update or something?
Are you tried to run the oolite-update script within your oolite.app folder?
If your script is older than 2014-05-01 then download and run the current script which contain a new server location.

Edit: forget it, see the next post.

Re: [Solved] Can't install Oolite 1.80 under Ubuntu 14.04 LT

Posted: Tue Aug 25, 2015 10:43 am
by Diziet Sma
Norby wrote:
OldThrashbarg wrote:Is ist somehow possible to get a binary file for oolite-update or something?
Are you tried to run the oolite-update script within your oolite.app folder?
If your script is older than 2014-05-01 then download and run the current script which contain a new server location.
Ahem.. DON'T TRY THIS.

To quote our resident Linux Guru, Getafix:
Avoid possible pain, download and run the installer, after removing the old repo version.

Re: [Solved] Can't install Oolite 1.80 under Ubuntu 14.04 LT

Posted: Tue Aug 25, 2015 2:24 pm
by OldThrashbarg
Ok. Thank you for dispelling my concerns. I willl now backup the savegames and purge the package from the ubuntu-repositories